Yate: XmlChild Class Reference

Yate

Public Member Functions | Friends | List of all members
XmlChild Class Reference

Xml Child. More...

`#include <yatexml.h>`

Inheritance diagram for XmlChild:

## Public Member Functions
| XmlChild ()
virtual void | setParent (XmlParent *parent)
virtual XmlElement * | xmlElement ()
virtual XmlComment * | xmlComment ()
virtual XmlCData * | xmlCData ()
virtual XmlText * | xmlText ()
virtual XmlDeclaration * | xmlDeclaration ()
virtual XmlDoctype * | xmlDoctype ()
virtual void | replaceParams (const NamedList &params)
Public Member Functions inherited from GenObject
| GenObject ()
virtual | ~GenObject ()
virtual bool | alive () const
virtual void | destruct ()
virtual const String & | toString () const
virtual const String & | traceId () const
virtual void * | getObject (const String &name) const
NamedCounter * | getObjCounter () const
NamedCounter * | setObjCounter (NamedCounter *counter)

## Friends
class | XmlDomParser

## Additional Inherited Members
Static Public Member Functions inherited from GenObject
static void * | getObject (const String &name, const GenObject *obj)
static bool | getObjCounting ()
static void | setObjCounting (bool enable)
static NamedCounter * | getObjCounter (const String &name, bool create=true)
static ObjList & | getObjCounters ()

## Detailed Description

Xml Child.

Xml Child for Xml document

## Constructor & Destructor Documentation

## ◆ XmlChild()

XmlChild | ( |  | ) |

Constructor

Referenced by XmlElement::addChild(), XmlElement::getFirstChild(), and XmlElement::removeChild().

## Member Function Documentation

## ◆ replaceParams()

virtual void replaceParams | ( | const NamedList & | params | ) |
| inlinevirtual

Replaces all ${paramname} with the corresponding parameters

Parameters

  params | List of parameters

Reimplemented in XmlElement, and XmlText.

## ◆ setParent()

virtual void setParent | ( | XmlParent * | parent | ) |
| inlinevirtual

Set this child's parent

Parameters

  parent | Parent of this child

Reimplemented in XmlElement.

## ◆ xmlCData()

virtual XmlCData * xmlCData | ( |  | ) |
| inlinevirtual

Get a Xml CData

Returns
  0

Reimplemented in XmlCData.

## ◆ xmlComment()

virtual XmlComment * xmlComment | ( |  | ) |
| inlinevirtual

Get a Xml comment

Returns
  0

Reimplemented in XmlComment.

## ◆ xmlDeclaration()

virtual XmlDeclaration * xmlDeclaration | ( |  | ) |
| inlinevirtual

Get a Xml declaration

Returns
  0

Reimplemented in XmlDeclaration.

## ◆ xmlDoctype()

virtual XmlDoctype * xmlDoctype | ( |  | ) |
| inlinevirtual

Get a Xml doctype

Returns
  0

Reimplemented in XmlDoctype.

## ◆ xmlElement()

virtual XmlElement * xmlElement | ( |  | ) |
| inlinevirtual

Get a Xml element

Returns
  0

Reimplemented in XmlElement.

## ◆ xmlText()

virtual XmlText * xmlText | ( |  | ) |
| inlinevirtual

Get a Xml text

Returns
  0

Reimplemented in XmlText.

The documentation for this class was generated from the following file:

- yatexml.h